#!/usr/bin/python3
# -*- coding: utf-8 -*-

#  Copyright © 2010-2013  B. Clausius <barcc@gmx.de>
#
#  This program is free software: you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation, either version 3 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program.  If not, see <http://www.gnu.org/licenses/>.


from glob import glob
from distutils.core import setup


setup(
    name='gedit-bzr-panel',
    version='1.1~alpha1',
    license='GPL-3',
    author='B. Clausius',
    author_email='barcc@gmx.de',
    description='Gedit plugin for working with bazaar branches',
    long_description='''This Gedit plugin provides some bazaar functionality in the bottom panel.
 * Show files that were added, changed, removed and unknown
 * Provide some bzr commands for files in the context menu
 * Show differences in the working tree or between revisions,
   modified lines are marked in the editor
 * Show revisions and their messages
 * Show information and statistics and configure the working tree''',
    url='https://launchpad.net/gedit-bzr-panel',
    
    data_files=[
                ('lib/gedit/plugins/', ['bzr-panel.plugin']),
                ('lib/gedit/plugins/bzr_panel/', [f for f in glob('bzr_panel/*.py') if f != 'bzr_panel/run-panel.py']),
                ('lib/gedit/plugins/bzr_panel/', glob('bzr_panel/*.ui')),
                ('lib/gedit/plugins/bzr_panel/', glob('bzr_panel/*.png')),
                ('lib/gedit/plugins/bzr_panel/', glob('bzr_panel/*.svg')),
                ('lib/gedit/plugins/bzr_panel/worker/', glob('bzr_panel/worker/*.py')),
               ],
    )
    
